%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             wildfly-security-manager
Version:          1.1.2
Release:          %mkrel 1
Group:            Development/Java
Summary:          WildFly Security Manager
# Not available license file https://github.com/wildfly-security/security-manager/issues/9
# ASL 2.0: ./src/main/java/org/wildfly/security/ParametricPrivilegedExceptionAction.java
# ./src/main/java/org/wildfly/security/manager/StackInspector.java
# ./src/main/java/org/wildfly/security/ParametricPrivilegedAction.java
# ./src/test/java/org/wildfly/security/manager/TestStackInspector.java
License:          ASL 2.0 and LGPLv2+
Url:              https://github.com/wildfly-security/security-manager/
Source0:          https://github.com/wildfly-security/security-manager/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires:    mvn(org.jboss.modules:jboss-modules)
BuildRequires:    mvn(org.kohsuke.metainf-services:metainf-services)

BuildArch:        noarch

%description
The Security Manager for WildFly Application Server.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n security-manager-%{namedversion}

%pom_remove_plugin "org.jboss.seven2six:seven2six"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%files javadoc -f .mfiles-javadoc



%changelog
* Sat May 13 2017 neoclust <neoclust> 1.1.2-1.mga6
+ Revision: 1100708
- New version
- Second rebuild of the java stack

* Thu Feb 18 2016 umeabot <umeabot> 1.0.0-2.mga6
+ Revision: 965374
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 1.0.0-1.mga5
+ Revision: 807676
- Sync with Fedora 21 (update to 1.0.0.Final)

  + dmorgan <dmorgan>
    - imported package wildfly-security-manager


* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.2.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Beta1
- Initial packaging
